
Redmine - Defect #33175

Starting or ending marker is not displayed if they are on the leftmost or rightmost boundary of the

gantt

2020-03-19 04:11 - Yuichi HARADA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version: 4.0.8   

Resolution: Fixed Affected version:  

Description

If the start date is the first day of the Gantt or the due date is the last day of the Gantt, the mark of the Gantt bar is not displayed.

expect actual

expect.png actual.png 

Related issues:

Related to Redmine - Defect #33140: Gantt bar is not displayed if the due dat... Closed

Associated revisions

Revision 19976 - 2020-08-12 06:21 - Go MAEDA

Starting or ending marker is not displayed if they are on the leftmost or rightmost boundary of the gantt (#33175).

Patch by Yuichi HARADA.

Revision 19980 - 2020-08-16 01:03 - Go MAEDA

Merged r19976 from trunk to 4.1-stable (#33175).

Revision 19981 - 2020-08-16 01:05 - Go MAEDA

Merged r19976 from trunk to 4.0-stable (#33175).

History

#1 - 2020-03-19 04:17 - Yuichi HARADA

- File 33175.patch added

Resolve with the following patch.

diff --git a/lib/redmine/helpers/gantt.rb b/lib/redmine/helpers/gantt.rb

index 285eb66a0..ad9bab8ad 100644

--- a/lib/redmine/helpers/gantt.rb

+++ b/lib/redmine/helpers/gantt.rb

@@ -624,13 +624,13 @@ module Redmine

         zoom ||= @zoom

         coords = {}

         if start_date && end_date && start_date < self.date_to && end_date > self.date_from

-          if start_date > self.date_from

+          if start_date >= self.date_from

             coords[:start] = start_date - self.date_from

             coords[:bar_start] = start_date - self.date_from

           else

             coords[:bar_start] = 0

           end

-          if end_date < self.date_to

+          if end_date <= self.date_to

             coords[:end] = end_date - self.date_from

             coords[:bar_end] = end_date - self.date_from + 1

           else

#2 - 2020-03-19 15:29 - Go MAEDA
- Target version set to Candidate for next minor release

#3 - 2020-08-09 09:17 - Go MAEDA

- File 33175-r19958.patch added

Updated the patch for the latest trunk.

#4 - 2020-08-09 09:19 - Go MAEDA

- Related to Defect #33140: Gantt bar is not displayed if the due date is the leftmost date or the start date is the rightmost date added

#5 - 2020-08-09 09:19 - Go MAEDA

- Status changed from New to Confirmed

- Target version changed from Candidate for next minor release to 4.0.8

Setting the target version to 4.0.8.

#6 - 2020-08-12 06:21 - Go MAEDA

- Subject changed from Gantt bar's mark is not displayed if the start date is the first day of the Gantt to Starting or ending marker is not displayed if

they are on the leftmost or rightmost boundary of the gantt

- Status changed from Confirmed to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for your contribution.

#7 - 2020-08-16 01:05 - Go MAEDA

- Status changed from Resolved to Closed

Files

expect.png 266 KB 2020-03-19 Yuichi HARADA

actual.png 224 KB 2020-03-19 Yuichi HARADA

33175.patch 2.59 KB 2020-03-19 Yuichi HARADA

33175-r19958.patch 2.28 KB 2020-08-09 Go MAEDA

Powered by TCPDF (www.tcpdf.org)

2025-05-01 2/2

http://www.tcpdf.org

